Bug 1121884 - [A-MQ]"Cartridge-Vendor" in A-MQ manifest.yml should be "redhat" instead of "fusesource"
Summary: [A-MQ]"Cartridge-Vendor" in A-MQ manifest.yml should be "redhat" instead of "...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Fuse
Version: 2.1.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: ---
Assignee: Kurt T Stam
QA Contact: David Simansky
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-22 06:35 UTC by xjia
Modified: 2016-10-28 13:54 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-10-28 13:54:50 UTC


Attachments (Terms of Use)

Description xjia 2014-07-22 06:35:56 UTC
Description of problem:
Check manifest.yml for A-MQ cartridge. "Cartridge-Vendor"  should be "redhat" instead of "fusesource".

Version-Release number of selected component (if applicable):
openshift-origin-cartridge-amq-6.1.0.redhat.387-3.el6op.noarch.rpm
How reproducible:
100%

Steps to Reproduce:
1.[root@ip-10-186-170-120 ~]# cat /usr/libexec/openshift/cartridges/amq/metadata/manifest.yml | grep Cartridge-Vendor

Actual results:
1.[root@ip-10-186-170-120 ~]# cat /usr/libexec/openshift/cartridges/amq/metadata/manifest.yml | grep Cartridge-Vendor
Cartridge-Vendor: fusesource

Expected results:
1.[root@ip-10-186-170-120 ~]# cat /usr/libexec/openshift/cartridges/amq/metadata/manifest.yml | grep Cartridge-Vendor
Cartridge-Vendor: redhat

Additional info:

Comment 2 Kurt T Stam 2014-07-22 19:05:43 UTC
Applied to the openshift-enterprise-rpm-6.1 only

https://github.com/jboss-fuse/amq-openshift-cartridge/pull/9

Comment 3 xjia 2014-07-28 11:42:33 UTC
Version:
openshift-origin-cartridge-amq-6.1.0.redhat.387-4.el6op.noarch.rpm

Verify:
[root@node1 ~]# cat /usr/libexec/openshift/cartridges/amq/metadata/manifest.yml | grep Cartridge-Vendor
Cartridge-Vendor: redhat


Note You need to log in before you can comment on or make changes to this bug.